Bug 622544 - i586 target no more possible
i586 target no more possible
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-09 13:14 EDT by Remi Collet
Modified: 2013-01-10 01:08 EST (History)
5 users (show)

See Also:
Fixed In Version: mock-1.1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 17:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2010-08-09 13:14:43 EDT
Description of problem:
Cannot build with --arch i586

Ok. This is only usefull for fedora 11 which is now EOL.
But it can be usefull to be able to build package for this old version.

Version-Release number of selected component (if applicable):
1.1.3

How reproducible:
Always

Steps to Reproduce:
setarch i586 mock -r fedora-11-i386 --arch i586 something.src.rpm
  
Actual results:
ERROR: Cannot build target i586 on arch i686

Expected results:
Build as with previous version.


Additional info:
Works again with this simple patch:

--- mock.org	2010-08-09 18:50:32.362518253 +0200
+++ mock	2010-08-09 18:51:06.608767619 +0200
@@ -370,8 +370,8 @@
 
 legal_arches = {
     'i386'   : ('i386', 'i686'),
-    'i686'   : ('i386', 'i686'),
-    'x86_64' : ('i386', 'i686', 'x86_64'),
+    'i686'   : ('i386', 'i586', 'i686'),
+    'x86_64' : ('i386', 'i586', 'i686', 'x86_64'),
     'ppc'    : ('ppc'),
     'ppc64'  : ('ppc', 'ppc64'),
     'sparc'  : ('sparc'),
Comment 1 Clark Williams 2010-08-09 14:24:41 EDT
I think we can fit this in, since I'm already adding noarch to this table.
Comment 2 Clark Williams 2010-08-09 14:25:41 EDT
Hmm, shouldn't we be able to  build i586 from i386?
Comment 3 Chris Brereton 2010-08-10 01:08:59 EDT
It should be possible. I don't see a reason why it can't.
Comment 4 Clark Williams 2010-08-10 10:56:43 EDT
Ok, I've added i586 as a legal arch for i386, i686 and x86_64

diff --git a/py/mock.py b/py/mock.py
index 13b56c1..00e87b4 100755
--- a/py/mock.py
+++ b/py/mock.py
@@ -369,9 +369,9 @@ def set_config_opts_per_cmdline(config_opts, options, args):
     config_opts['online'] = options.online
 
 legal_arches = {
-    'i386'   : ('i386', 'i686', 'noarch'),
-    'i686'   : ('i386', 'i686', 'noarch'),
-    'x86_64' : ('i386', 'i686', 'x86_64', 'noarch'),
+    'i386'   : ('i386', 'i586', 'i686', 'noarch'),
+    'i686'   : ('i386', 'i586', 'i686', 'noarch'),
+    'x86_64' : ('i386', 'i586', 'i686', 'x86_64', 'noarch'),
     'ppc'    : ('ppc', 'noarch'),
     'ppc64'  : ('ppc', 'ppc64', 'noarch'),
     'sparc'  : ('sparc', 'noarch'),
Comment 5 Edouard Bourguignon 2010-08-19 12:51:09 EDT
Still not fixed in mock-1.1.3-1.fc13.noarch ?
Comment 6 Fedora Update System 2010-08-19 13:20:49 EDT
mock-1.1.4-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc14
Comment 7 Fedora Update System 2010-08-19 13:21:55 EDT
mock-1.1.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc13
Comment 8 Fedora Update System 2010-08-19 13:32:42 EDT
mock-1.0.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.fc12
Comment 9 Fedora Update System 2010-08-19 13:34:01 EDT
mock-1.0.11-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.el5
Comment 10 Clark Williams 2010-08-19 13:51:20 EDT
Ok this one should fix the issue.
Comment 11 Fedora Update System 2010-08-23 17:57:27 EDT
mock-1.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-23 21:28:07 EDT
mock-1.1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-25 21:02:52 EDT
mock-1.0.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-09-20 10:42:53 EDT
mock-1.0.12-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.fc12
Comment 15 Fedora Update System 2010-09-20 10:44:27 EDT
mock-1.0.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.el5
Comment 16 Fedora Update System 2010-10-20 11:44:42 EDT
mock-1.0.13-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.el5
Comment 17 Fedora Update System 2010-10-20 11:46:58 EDT
mock-1.0.13-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.fc12
Comment 18 Fedora Update System 2010-12-14 11:14:53 EST
mock-1.0.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.14-1.el5
Comment 19 Fedora Update System 2011-01-18 15:05:05 EST
mock-1.0.15-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.15-1.el5
Comment 20 Fedora Update System 2011-02-19 21:27:15 EST
mock-1.1.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc13
Comment 21 Fedora Update System 2011-02-19 21:30:17 EST
mock-1.0.16-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.16-1.el5
Comment 22 Fedora Update System 2011-02-19 21:33:07 EST
mock-1.1.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.el6
Comment 23 Fedora Update System 2011-02-19 21:35:59 EST
mock-1.1.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc14
Comment 24 Fedora Update System 2011-03-03 03:26:01 EST
mock-1.1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2011-03-03 03:34:40 EST
mock-1.1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2011-05-13 16:35:04 EDT
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15
Comment 27 Fedora Update System 2011-05-13 16:39:29 EDT
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14
Comment 28 Fedora Update System 2011-05-13 16:43:44 EDT
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5
Comment 29 Fedora Update System 2011-05-13 16:48:04 EDT
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13
Comment 30 Fedora Update System 2011-05-13 16:52:26 EDT
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6
Comment 31 Fedora Update System 2011-05-19 00:36:24 EDT
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2011-05-24 22:43:46 EDT
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2011-05-24 23:17:56 EDT
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2011-06-02 15:07:52 EDT
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2011-06-02 15:17:43 EDT
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.